# - Locate HEALPix-c++ library
# Defines:
#
#  HEALPIXCPP_FOUND
#  HEALPIXCPP_INCLUDE_DIR
#  HEALPIXCPP_INCLUDE_DIRS (not cached)
#  HEALPIXCPP_LIBRARY
#  HEALPIXCPP_SUPPORT_LIBRARY
#  HEALPIXCPP_FFT_LIBRARY
#  HEALPIXCPP_LIBRARIES (not cached)


if(NOT HEALPIXCPP_FOUND)

  find_path(HEALPIXCPP_INCLUDE_DIR healpix/healpix_base.h
            HINTS ENV HEALPIXCPP_ROOT_DIR HEALPIXCPP_INSTALL_DIR
            PATH_SUFFIXES include)

  find_library(HEALPIXCPP_LIBRARY healpix_cxx
                 HINTS ENV HEALPIXCPP_ROOT_DIR HEALPIXCPP_INSTALL_DIR
                 PATH_SUFFIXES lib)
    
  find_library(HEALPIXCPP_SUPPORT_LIBRARY cxxsupport
                 HINTS ENV HEALPIXCPP_ROOT_DIR HEALPIXCPP_INSTALL_DIR
                 PATH_SUFFIXES lib)



  if(${HEALPIXCPP_INCLUDE_DIR})

    find_library(HEALPIXCPP_SUPPORT_LIBRARY healpix_cxxsupport cxxsupport
                 HINTS ENV HEALPIXCPP_ROOT_DIR HEALPIXCPP_INSTALL_DIR
                 PATH_SUFFIXES lib)

    find_library(HEALPIXCPP_FFT_LIBRARY healpix_fft
                 HINTS ENV HEALPIXCPP_ROOT_DIR HEALPIXCPP_INSTALL_DIR
                 PATH_SUFFIXES lib)
    set(HEALPIXCPP_LIBRARIES ${HEALPIXCPP_LIBRARY} ${HEALPIXCPP_SUPPORT_LIBRARY} ${HEALPIXCPP_FFT_LIBRARY})

    set(HEALPIXCPP_NEW_LAYOUT FALSE)

  else()

    find_path(HEALPIXCPP_INCLUDE_DIR healpix_cxx/healpix_base.h
              HINTS ENV HEALPIXCPP_ROOT_DIR HEALPIXCPP_INSTALL_DIR
              PATH_SUFFIXES include)

    set(HEALPIXCPP_LIBRARIES ${HEALPIXCPP_LIBRARY} ${HEALPIXCPP_SUPPORT_LIBRARY})

    set(HEALPIXCPP_NEW_LAYOUT TRUE)

  endif()

  set(HEALPIXCPP_INCLUDE_DIRS ${HEALPIXCPP_INCLUDE_DIR})


# handle the QUIETLY and REQUIRED arguments and set CCFITS_FOUND to TRUE if
# all listed variables are TRUE
  INCLUDE(FindPackageHandleStandardArgs)
  FIND_PACKAGE_HANDLE_STANDARD_ARGS(HealpixCpp DEFAULT_MSG HEALPIXCPP_INCLUDE_DIRS HEALPIXCPP_LIBRARIES HEALPIXCPP_NEW_LAYOUT)

  mark_as_advanced(HEALPIXCPP_FOUND HEALPIXCPP_INCLUDE_DIRS HEALPIXCPP_LIBRARIES HEALPIXCPP_NEW_LAYOUT)

  list(REMOVE_DUPLICATES HEALPIXCPP_LIBRARIES)
  list(REMOVE_DUPLICATES HEALPIXCPP_INCLUDE_DIRS)

endif()
