# - Locate libm library
# Defines:
#
#  LIBM_FOUND
#  LIBM_INCLUDE_DIR
#  LIBM_INCLUDE_DIRS (not cached)
#  LIBM_LIBRARY
#  LIBM_SUPPORT_LIBRARY
#  LIBM_FFT_LIBRARY
#  LIBM_LIBRARIES (not cached)


if(NOT LIBM_FOUND)

  find_path(LIBM_INCLUDE_DIR math.h
            HINTS ENV LIBM_ROOT_DIR LIBM_INSTALL_DIR
            PATH_SUFFIXES include)

  find_library(LIBM_LIBRARY m
               HINTS ENV LIBM_ROOT_DIR LIBM_INSTALL_DIR
               PATH_SUFFIXES lib)


  set(LIBM_INCLUDE_DIRS ${LIBM_INCLUDE_DIR})
  set(LIBM_LIBRARIES ${LIBM_LIBRARY})

  INCLUDE(FindPackageHandleStandardArgs)
  FIND_PACKAGE_HANDLE_STANDARD_ARGS(LibM DEFAULT_MSG LIBM_INCLUDE_DIRS LIBM_LIBRARIES)

  mark_as_advanced(LIBM_FOUND LIBM_INCLUDE_DIRS LIBM_LIBRARIES)

  list(REMOVE_DUPLICATES LIBM_LIBRARIES)
  list(REMOVE_DUPLICATES LIBM_INCLUDE_DIRS)

endif()
