# - Locate WCSLIB library
# Defines:
#
#  WCSLIB_FOUND
#  WCSLIB_INCLUDE_DIR
#  WCSLIB_INCLUDE_DIRS (not cached)
#  WCSLIB_LIBRARY
#  WCSLIB_LIBRARIES (not cached)


if(NOT WCSLIB_FOUND)

  find_path(WCSLIB_INCLUDE_DIR wcslib/wcs.h
            HINTS ENV WCSLIB_ROOT_DIR WCSLIB_INSTALL_DIR
            PATH_SUFFIXES include)

  find_library(WCSLIB_LIBRARY wcs
               HINTS ENV WCSLIB_ROOT_DIR WCSLIB_INSTALL_DIR
               PATH_SUFFIXES lib)

  find_library(M_LIBRARY m)


  set(WCSLIB_LIBRARIES ${WCSLIB_LIBRARY} ${M_LIBRARY})
  set(WCSLIB_INCLUDE_DIRS ${WCSLIB_INCLUDE_DIR})

# handle the QUIETLY and REQUIRED arguments and set CCFITS_FOUND to TRUE if
# all listed variables are TRUE
  INCLUDE(FindPackageHandleStandardArgs)
  FIND_PACKAGE_HANDLE_STANDARD_ARGS(WCSLIB DEFAULT_MSG WCSLIB_INCLUDE_DIRS WCSLIB_LIBRARIES)

  mark_as_advanced(WCSLIB_FOUND WCSLIB_INCLUDE_DIRS WCSLIB_LIBRARIES)

  list(REMOVE_DUPLICATES WCSLIB_LIBRARIES)
  list(REMOVE_DUPLICATES WCSLIB_INCLUDE_DIRS)

endif()
